Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Halide::Internal::Autoscheduler::LoadJacobian Class Reference

`#include <FunctionDAG.h>`

## Public Member Functions
| LoadJacobian (vector< vector< OptionalRational > > &&matrix, int64_t c=1)
size_t | producer_storage_dims () const
size_t | consumer_loop_dims () const
OptionalRational | operator() (int producer_storage_dim, int consumer_loop_dim) const
int64_t | count () const
bool | merge (const LoadJacobian &other)
LoadJacobian | operator* (const LoadJacobian &other) const
void | dump (std::ostream &os, const char *prefix) const
| LoadJacobian (size_t producer_storage_dims, size_t consumer_loop_dims, int64_t count)
bool | all_coeffs_exist () const
bool | empty () const
size_t | producer_storage_dims () const
size_t | consumer_loop_dims () const
bool | is_constant () const
OptionalRational | operator() (int producer_storage_dim, int consumer_loop_dim) const
OptionalRational & | operator() (int producer_storage_dim, int consumer_loop_dim)
int64_t | count () const
bool | merge (const LoadJacobian &other)
LoadJacobian | operator* (const std::vector< int64_t > &factors) const
LoadJacobian | operator* (const LoadJacobian &other) const
void | dump (const char *prefix) const

## Detailed Description

Definition at line 126 of file FunctionDAG.h.

## Constructor & Destructor Documentation

## ◆ LoadJacobian() [1/2]

Halide::Internal::Autoscheduler::LoadJacobian::LoadJacobian | ( | vector< vector< OptionalRational > > && | matrix,
|  | int64_t | c = `1`
| ) |  |
| inline explicit

Definition at line 131 of file FunctionDAG.h.

## ◆ LoadJacobian() [2/2]

Halide::Internal::Autoscheduler::LoadJacobian::LoadJacobian | ( | size_t | producer_storage_dims,
|  | size_t | consumer_loop_dims,
|  | int64_t | count
| ) |  |
| inline

Definition at line 139 of file FunctionDAG.h.

## Member Function Documentation

## ◆ producer_storage_dims() [1/2]

size_t Halide::Internal::Autoscheduler::LoadJacobian::producer_storage_dims | ( |  | ) | const
| inline

Definition at line 135 of file FunctionDAG.h.

Referenced by operator()(), operator*(), and operator*().

## ◆ consumer_loop_dims() [1/2]

size_t Halide::Internal::Autoscheduler::LoadJacobian::consumer_loop_dims | ( |  | ) | const
| inline

Definition at line 139 of file FunctionDAG.h.

Referenced by operator()(), operator*(), and operator*().

## ◆ operator()() [1/3]

OptionalRational Halide::Internal::Autoscheduler::LoadJacobian::operator() | ( | int | producer_storage_dim,
|  | int | consumer_loop_dim
| ) |  | const
| inline

Definition at line 148 of file FunctionDAG.h.

References Halide::cast(), and internal_assert.

## ◆ count() [1/2]

int64_t Halide::Internal::Autoscheduler::LoadJacobian::count | ( |  | ) | const
| inline

Definition at line 166 of file FunctionDAG.h.

Referenced by operator*().

## ◆ merge() [1/2]

bool Halide::Internal::Autoscheduler::LoadJacobian::merge | ( | const LoadJacobian & | other | ) |
| inline

Definition at line 172 of file FunctionDAG.h.

References Halide::cast().

## ◆ operator*() [1/3]

LoadJacobian Halide::Internal::Autoscheduler::LoadJacobian::operator* | ( | const LoadJacobian & | other | ) | const
| inline

Definition at line 192 of file FunctionDAG.h.

References Halide::cast(), consumer_loop_dims(), count(), internal_assert, and producer_storage_dims().

## ◆ dump() [1/2]

void Halide::Internal::Autoscheduler::LoadJacobian::dump | ( | std::ostream & | os,
|  | const char * | prefix
| ) |  | const

## ◆ all_coeffs_exist()

bool Halide::Internal::Autoscheduler::LoadJacobian::all_coeffs_exist | ( |  | ) | const
| inline

Definition at line 146 of file FunctionDAG.h.

## ◆ empty()

bool Halide::Internal::Autoscheduler::LoadJacobian::empty | ( |  | ) | const
| inline

Definition at line 155 of file FunctionDAG.h.

## ◆ producer_storage_dims() [2/2]

size_t Halide::Internal::Autoscheduler::LoadJacobian::producer_storage_dims | ( |  | ) | const
| inline

Definition at line 159 of file FunctionDAG.h.

## ◆ consumer_loop_dims() [2/2]

size_t Halide::Internal::Autoscheduler::LoadJacobian::consumer_loop_dims | ( |  | ) | const
| inline

Definition at line 163 of file FunctionDAG.h.

## ◆ is_constant()

bool Halide::Internal::Autoscheduler::LoadJacobian::is_constant | ( |  | ) | const
| inline

Definition at line 167 of file FunctionDAG.h.

## ◆ operator()() [2/3]

OptionalRational Halide::Internal::Autoscheduler::LoadJacobian::operator() | ( | int | producer_storage_dim,
|  | int | consumer_loop_dim
| ) |  | const
| inline

Definition at line 177 of file FunctionDAG.h.

References Halide::cast(), consumer_loop_dims(), and producer_storage_dims().

## ◆ operator()() [3/3]

OptionalRational & Halide::Internal::Autoscheduler::LoadJacobian::operator() | ( | int | producer_storage_dim,
|  | int | consumer_loop_dim
| ) |  |
| inline

Definition at line 185 of file FunctionDAG.h.

References Halide::cast().

## ◆ count() [2/2]

int64_t Halide::Internal::Autoscheduler::LoadJacobian::count | ( |  | ) | const
| inline

Definition at line 192 of file FunctionDAG.h.

## ◆ merge() [2/2]

bool Halide::Internal::Autoscheduler::LoadJacobian::merge | ( | const LoadJacobian & | other | ) |
| inline

Definition at line 198 of file FunctionDAG.h.

References Halide::cast().

## ◆ operator*() [2/3]

LoadJacobian Halide::Internal::Autoscheduler::LoadJacobian::operator* | ( | const std::vector< int64_t > & | factors | ) | const
| inline

Definition at line 212 of file FunctionDAG.h.

References Halide::cast(), consumer_loop_dims(), and producer_storage_dims().

## ◆ operator*() [3/3]

LoadJacobian Halide::Internal::Autoscheduler::LoadJacobian::operator* | ( | const LoadJacobian & | other | ) | const
| inline

Definition at line 224 of file FunctionDAG.h.

References Halide::cast(), consumer_loop_dims(), count(), and producer_storage_dims().

## ◆ dump() [2/2]

void Halide::Internal::Autoscheduler::LoadJacobian::dump | ( | const char * | prefix | ) | const

The documentation for this class was generated from the following files:

- src/autoschedulers/adams2019/FunctionDAG.h
- src/autoschedulers/anderson2021/FunctionDAG.h